Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001140KdenliveUser Interfacepublic2009-09-15 23:182010-02-02 10:38
Reporterdoitux 
Assigned Toj-b-m 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.7.5 
Target VersionFixed in Version0.7.6 
Summary0001140: Feature Request: clean project tree (with physical delete option)
DescriptionI think about a feature to automatic clean all unused (not added to timeline) clips from the project tree and optional also physically delete them from the disc.

If i remembered correctly there was such an feature in the previous kdenlive (kde3) version.

TagsNo tags attached.
Build/Install MethodDistribution package
Attached Filesjpeg file icon clean.jpeg [^] (19,931 bytes) 2009-09-16 18:14

- Relationships

-  Notes
(0003904)
j-b-m (administrator)
2009-09-16 00:40

Feature now added to current svn (in Project menu->Clean project). I didn't put the option the remove the files from the disc since I think it is a bit dangerous.
(0003923)
doitux (updater)
2009-09-16 09:12

@jb: thx for adding the feature. to tell the truth i was mostly looking for the "remove from disc" option ;-)

I have a project with around 500 clips here. Now i start watching the clips (already added to project tree) and put some of them onto the timeline. After finishing the 500 clips where maybe 100 gets a place on timeline i need the disc space to capture and import another 300 clips. So at the moment i have to look into the directory where the 500 captured clips are placed and compare them with the project tree item by item which is a really boring job ;-) Thats why iam asking for the option.
(0003926)
j-b-m (administrator)
2009-09-16 18:13

Ok, I have now added a new tab in the "Project Settings" dialog. it will allow you to clear the thumbnails cache and delete the unused files, see attached picture.
(0003942)
doitux (updater)
2009-09-16 23:52

Wow. Thx a lot for your fast implementation. I will try to test when i get the kdenlivebuilder-wizard work again, it is currently broken here it stops at kdenlive building without a error message :( I've already contacted mads for that.
(0003943)
doitux (updater)
2009-09-16 23:59
edited on: 2009-09-17 00:00

@jb: btw, is there any way to donate some money to the project, as special thx for this fast implementation which saves me a lot of time and for kdenlive all in all?

(0003952)
doitux (updater)
2009-09-17 09:47

hi again: i get following error when compiling kdenlive atm:
 48%] [ 48%] Building CXX object src/cmake_bindir/CMakeFiles/kdenlive.dir/kdenlive_automoc.o
Building CXX object src/cmake_bindir/CMakeFiles/kdenlive.dir/jogshuttle.o
[ 48%] Building CXX object src/cmake_bindir/CMakeFiles/kdenlive.dir/addclipcommand.o
[ 49%] Building CXX object src/cmake_bindir/CMakeFiles/kdenlive.dir/main.o
[ 49%] Building CXX object src/cmake_bindir/CMakeFiles/kdenlive.dir/mainwindow.o
/home/doitux/Programme/kdenlive-wizard/src/kdenlive/src/mainwindow.cpp:55:32: error: ui_projectfiles_ui.h: No such file or directory
[ 50%] Bu

Maybe the ui file is not processed?
(0003953)
j-b-m (administrator)
2009-09-17 09:52

I just fixed the compilation error, please update.
(0003954)
doitux (updater)
2009-09-17 11:55

Now it works. Thank you very much for adding this feature.

- Issue History
Date Modified Username Field Change
2009-09-15 23:18 doitux New Issue
2009-09-15 23:18 doitux Build/Install Method => Distribution package
2009-09-16 00:40 j-b-m Note Added: 0003904
2009-09-16 00:40 j-b-m Status new => feedback
2009-09-16 09:12 doitux Note Added: 0003923
2009-09-16 18:13 j-b-m Note Added: 0003926
2009-09-16 18:14 j-b-m File Added: clean.jpeg
2009-09-16 23:52 doitux Note Added: 0003942
2009-09-16 23:59 doitux Note Added: 0003943
2009-09-17 00:00 doitux Note Edited: 0003943 View Revisions
2009-09-17 09:47 doitux Note Added: 0003952
2009-09-17 09:52 j-b-m Note Added: 0003953
2009-09-17 11:55 doitux Note Added: 0003954
2009-09-17 15:17 j-b-m Status feedback => resolved
2009-09-17 15:17 j-b-m Fixed in Version => Recent git
2009-09-17 15:17 j-b-m Resolution open => fixed
2009-09-17 15:17 j-b-m Assigned To => j-b-m
2009-10-08 20:20 j-b-m Fixed in Version Recent git => 0.7.6
2010-02-02 10:35 j-b-m Fixed in Version 0.7.6 => 0.7.7
2010-02-02 10:37 j-b-m Fixed in Version 0.7.7 => 0.7.6
2010-02-02 10:38 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker